# Interface methods for submodule: ShapePriorMAPCostFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ShapePriorMAPCostFunctionBaseProxy as _ShapePriorMAPCostFunctionBaseProxy


# Interface methods for class: ShapePriorMAPCostFunction
class ShapePriorMAPCostFunctionProxy(_ShapePriorMAPCostFunctionBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetShapeParameterMeans(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetShapeParameterMeans(self) -> Sequence[float]:
		""""""
		...

	def SetShapeParameterStandardDeviations(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetShapeParameterStandardDeviations(self) -> Sequence[float]:
		""""""
		...

	def SetWeights(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetWeights(self) -> Sequence[float]:
		""""""
		...

	def ComputeLogInsideTerm(self, parameters) -> float:
		""""""
		...

	def ComputeLogGradientTerm(self, parameters) -> float:
		""""""
		...

	def ComputeLogShapePriorTerm(self, parameters) -> float:
		""""""
		...

	def ComputeLogPosePriorTerm(self, parameters) -> float:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

